
{{init-component}}
<section class="header">
    <div class="row">
        <div class="col-xs-12 col-sm-10">
            {{#link-to "projects" class='header__logo'}}DevTeam.Space{{/link-to}}
        </div>
        <div class="col-xs-12 col-sm-2 text-right">
            {{#link-to "projects" class='underline'}}Projects{{/link-to}} | <a {{action 'logOut'}} class="underline">Logout</a>
        </div>
    </div>
</section>

<div class="hiddenArea">
<div class="hiddenAreaIn">
<div class="row">
{{#each customers as |customer|}}
	
	{{#each customer.projects as |project|}}
    <div class="col-md-12 feed-bg adm ">
    	<div class="row">
    		<div class="col-xs-3">
    			{{#link-to 'dashboard' project }}
					<strong>Project - {{project.title}} </strong>
				{{/link-to}}<br/>{{customer.name}}<br/>{{project.statusField}}<span class="progectStatus {{project.blockers}}"></span>
    		</div>
    		<div class="col-xs-3">
    			<p>Manager {{project.manager.name}}</p>
    			<p class="dev-team__item text-center pointer">
	                <img {{action 'changeManager' project project.manager}} src="{{project.manager.image}}" alt="">
	            </p>
    		</div>
    		<div class="col-xs-6">
    			<p>Developers <span {{action 'addDev' project}} class="fa fa-icon fa-plus pointer"></span></p>
				<div class="dev-team__item">
	            	{{#each project.developers as |dev|}}
		            	<span><img src="{{dev.image}}" alt="">{{dev.name}} <i {{action 'deleteDev' dev project}} class="fa fa-icon fa-trash pointer"></i></span>
	            	{{/each}}
	            </div>
    		</div>
    	</div>
	</div>
	{{/each}}
{{/each}}	
</div>
</div>
</div>
<div class="modal fade" id="managers" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button><h4 class="modal-title">Add Manager</h4></div><div class="modal-body" ng-transclude="">
                  <ul class="managers">
					{{#each managers as |manager|}}
						<li {{action 'addManager' manager}} class="pointer dev-team__item"><img src="{{manager.image}}" alt="">{{manager.name}}</li>
					{{/each}}	
					</ul>
   </div></div></div>
</div>

<div class="modal fade" id="developers" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button><h4 class="modal-title">Add Developer</h4></div><div class="modal-body" ng-transclude="">
                  <ul class="managers">
					{{#each developers as |developer|}}
						<li {{action 'addDevel' developer}} class="pointer dev-team__item"><img src="{{developer.image}}" alt="">{{developer.name}}</li>
					{{/each}}	
					</ul>
   </div></div></div>
</div>
